xyz
xyz
新手上路
新手上路
阅读:1589回复:2

在Linux(Manjaro,Arch LInux)下安装报错

楼主#
更多 发布于:2018-10-18 16:29

在Manjaor Linux下安装小小输入法时,发现报错.提示信息如下.

➜  yong sudo ./yong-tool.sh --install64
DIST legacy found
install 64bit version
Cannot load module /usr/lib/gtk-2.0/2.10.0/immodules/im-yong.so: /usr/lib/gtk-2.0/2.10.0/immodules/im-yong.so: wrong ELF class: ELFCLASS32
/usr/lib/gtk-2.0/2.10.0/immodules/im-yong.so does not export GTK+ IM module API: /usr/lib/gtk-2.0/2.10.0/immodules/im-yong.so: wrong ELF class: ELFCLASS32
Cannot load module /usr/lib/gtk-3.0/3.0.0/immodules/im-yong.so: /usr/lib/gtk-3.0/3.0.0/immodules/im-yong.so: wrong ELF class: ELFCLASS32
/usr/lib/gtk-3.0/3.0.0/immodules/im-yong.so does not export GTK+ IM module API: /usr/lib/gtk-3.0/3.0.0/immodules/im-yong.so: wrong ELF class: ELFCLASS32
--install64 Done
xyz
xyz
新手上路
新手上路
沙发#
发布于:2018-10-18 16:42
下面是系统信息



➜  yong sudo /home/maojun/soft/yong/yong-tool.sh --sysinfo
DIST legacy found
sysinfo:
  DIST: legacy
  CFG:
  HOST_ARCH: x86
  HOST_MACHINE: 64
  PATH_LIB32: /usr/lib
  PATH_LIB64: /usr/lib64
  PATH_LIB32N: /usr/lib32
  HOST_TRIPLET32: i386
  HOST_TRIPLET64: x86_64
  IBUS_STATUS: 0
  GTK2_PATH32: /usr/lib/gtk-2.0
  GTK3_PATH32: /usr/lib/gtk-3.0
  GTK2_PATH64: /usr/lib64/gtk-2.0
  GTK3_PATH64: /usr/lib64/gtk-3.0
  GTK2_IMMODULES32: /usr/lib/gtk-2.0/2.10.0/immodules.cache
  GTK2_IMMODULES64: /usr/lib64/gtk-2.0/2.10.0/immodules.cache
  QT5_PATH64: /usr/lib64/qt5
--sysinfo Done
xyz
xyz
新手上路
新手上路
板凳#
发布于:2018-10-18 16:44
arch linux wiki错误查到,这个错误可以忽略.
所以直接忽略上面的问题,去应用里面打开小小输入法即可,为以及可以打开龙.
Other issues
Wrong ELF class
If you see this message in Steam's console output

ERROR: ld.so: object '~/.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.



直接忽略即可,无图无真相.
游客

返回顶部